> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiaccountscurrentaddresses

> Update an address for the current account



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json patch /api/accounts/current/addresses/{addressId}
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/accounts/current/addresses/{addressId}:
    patch:
      tags:
        - accounts
      description: Update an address for the current account
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
        - name: addressId
          in: path
          required: true
          schema:
            type: number
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                addressLine1:
                  type: string
                addressLine2:
                  type: string
                city:
                  type: string
                state:
                  type: string
                zip:
                  type: string
                countryCode:
                  type: string
                purpose:
                  type: array
                  items:
                    type: string
                    enum:
                      - BILLING
                      - SHIPPING
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Checkout_Address'
                required:
                  - data
components:
  schemas:
    Checkout_Address:
      type: object
      properties:
        id:
          type: number
        addressLine1:
          type: string
        addressLine2:
          type: string
          nullable: true
        zip:
          type: string
        city:
          type: string
        state:
          type: string
          nullable: true
        countryCode:
          type: string
        purpose:
          type: array
          items:
            type: string
            enum:
              - BILLING
              - SHIPPING
      required:
        - id
        - addressLine1
        - addressLine2
        - zip
        - city
        - state
        - countryCode
        - purpose

````